MavenPomMailingList (Gradle API 7.6.4)

Package org.gradle.api.publish.maven

## Interface MavenPomMailingList

-     public interface MavenPomMailingList

  A mailing list of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomMailingListSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getArchive()` | The URL where you can browse the archive of this mailing list.
    `Property<java.lang.String>` | `getName()` | The name of this mailing list.
    `SetProperty<java.lang.String>` | `getOtherArchives()` | The alternate URLs where you can browse the archive of this mailing list.
    `Property<java.lang.String>` | `getPost()` | The email address or link that can be used to post to this mailing list.
    `Property<java.lang.String>` | `getSubscribe()` | The email address or link that can be used to subscribe to this mailing list.
    `Property<java.lang.String>` | `getUnsubscribe()` | The email address or link that can be used to subscribe to this mailing list.

- - ### Method Detail

    - #### getName

          Property<java.lang.String> getName()

      The name of this mailing list.

    - #### getSubscribe

          Property<java.lang.String> getSubscribe()

      The email address or link that can be used to subscribe to this mailing list.

    - #### getUnsubscribe

          Property<java.lang.String> getUnsubscribe()

      The email address or link that can be used to subscribe to this mailing list.

    - #### getPost

          Property<java.lang.String> getPost()

      The email address or link that can be used to post to this mailing list.

    - #### getArchive

          Property<java.lang.String> getArchive()

      The URL where you can browse the archive of this mailing list.

    - #### getOtherArchives

          SetProperty<java.lang.String> getOtherArchives()

      The alternate URLs where you can browse the archive of this mailing list.